/* Couleurs */
body {
    /* Bleu */
    --blue-light: #3498db;
    --blue-dark: #273c75;
    --blue-darker: #192a56;
    /* Gris */
    --grey-light: #f5f6fa;
    --grey-dark: #dcdde1;
    --grey-darker: #bdc3c7;
    /* Orange */
    --orange-light: #e67e22;
    --orange-dark: #d35400;
    /* Rouge */
    --red-light: #e74c3c;
    --red-dark: #EA2027;
    --red-darker: #c0392b;
    /* Vert */
    --green-light: #4cd137;
    --green-dark: #27ae60;
    --green-darker: #009432;
    /* Noir */
    --black-light: #34495e;
    --black-dark: #34495e;
    --black-darker: #222f3e;
}

/**************************************/
/*             GENERAL                */
/**************************************/
body {
    margin: 0;
    padding: 0;
    height: 100vh;
    background-attachment: fixed;
    background-image: url('../img/bck.jpg');
    background-repeat: no-repeat;
    object-fit: cover;
    font-family: sans-serif;
}

html {
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
}

.row {
    margin: 0;
}

.hidden {
    display: none;
}

.visible {
    display: block;
}

#particles-js {
    height: 100% !important;
}

.particles-js-canvas-el {
    z-index: -5;
    position: absolute;
    top: -50px
}

.container {
    padding-top: 5px;
}

h1 {
    color: rgb(245, 246, 250);
    font-size: 90px;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold !important;
    text-transform: uppercase;
    background: linear-gradient(305deg, #8933d0, #d033c3, #d0cd33);
    background-size: 300% 300%;
    background-clip: text;
    -webkit-animation: AnimationName 4s ease infinite;
    -moz-animation: AnimationName 4s ease infinite;
    animation: AnimationName 4s ease infinite;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-bottom: 0;;
}

/**************************************/
/*             BOX LEVEL              */
/**************************************/
.boxLevel {
    padding: 30px;
    height: 450px;
    background-color: white;
    width: 400px;
    margin: 0 auto;
    opacity: 0.5;
}

.boxLevel a:hover {
    cursor: pointer;
}

.firstContent {
    text-align: center;
    padding-top: 10px;
    z-index: 50;
}

.textSelecLevel {
    color: rgb(235, 47, 6);
    font-size: 30px;
    font-family: 'Montserrat', sans-serif;
}

.textInfo {
    color: rgb(235, 47, 6);
    font-size: 15px;
    font-family: 'Montserrat', sans-serif;
}
#info {
    padding-top:10px;
}

#infoBox {
    padding: 30px 5px;
    height: 475px;
    background-color: white;
    width: 600px;
    margin: 10vw auto;
    opacity: 0.5;
}

.modal-body li {
    text-align: start;
}

/**************************************/
/*                 JEU                */
/**************************************/

.allBox {
    display: flex;
    justify-content: center;
}

#boxHelp {
    margin-right: auto;
}

#tableauHelp1 {
    margin-top: 5px;
}

#boxHelp tr {
    height: 15px;
}

#mastermindtab td {
    padding: 30px;
    border: 3px double rgb(220, 221, 225);
}

#Boxtab {
    margin-top: 25px;
    width: 100vw;
}

#mastermindtab {
    margin-left: auto;
    border-collapse: separate;
    border-spacing: 2px;
}

.contentGame {
    display: flex;
}

.bravo {
    display: flex !important;
    margin: 0 auto;
    justify-content: center;
}

.colorBravo {
    width: 60px;
    height: 60px;
    border: 1px solid black;
    margin-left: 5px;
    border-radius: 50%;
    -webkit-animation: colorBravo 1s linear both;
    animation: colorBravo 1s linear both;
}

#solutionAide {
    width: 0px !important;
    height: 0px !important;
    margin-left: 5px;
    margin-top: 2px;
}

.mastermindHelp {
    width: 5px;
}

#solutionAide td {
    margin-top: 13px;
}

#boxHelp td {
    padding: 0px;
    padding: 15px;
    border: initial;
    border-radius: 50%;

}

#boxHelp table {
    margin-bottom: 8px;
    padding-left: 5px !important;
    margin-left: 5px;
}

#boxHelp tr {
    margin-bottom: 6px;

}

.white {
    background-color: #f5f6fa;
    -webkit-animation: white 0.9s both;
    animation: white 0.9s both;
}

.black {
    background-color: #130f40;
    -webkit-animation: black 0.9s both;
    animation: black 0.9s both;
}

#godlike {
    width: 220px;
    height: 210px;
}

.tetemort {
    width: 200px;
    height: 200px;
}

button {
    margin-bottom: 20px;
    padding: 5px 10px;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
}

button:hover {
    border-color: red;
}

.content-boxChoice {
    margin: auto;
}

/* .boxPalette {
    width: 50vw;
    margin-left: 14vw;
} */

#boxChoice {
    margin-top : 3rem;
    margin-bottom : 3rem;
    /* padding-right: 100px; */
}

#boxChoice .col-3 {
    /* width: 30px; */
    height: 60px;
    margin-left: 0px !important;
    border: 1px solid white;
    border-radius: 50%;

}

#boxChoice td:hover {
    cursor: pointer;
    position: relative;
    left: 0px;
    top: -10px;
}

/**************************************/
/*             CONTROLES              */
/**************************************/
.control {
    display: flex;
    justify-content: center;
    margin-bottom: 3rem;
}

.boxSon {
    display: flex;
    padding-left: 10vw;
}

.boutonPlay {
    display: flex;
    width: 30px;
    height: 30px;
    background-color: rgba(236, 240, 241, 0.4);
    border: solid 1px #fff;
    padding: 3px 3px 5px 0px;
    color: #f5f6fa;
    font-family: 'Montserrat', sans-serif;
}

.boutonPlayBox {
    display: flex;
    width: 90px;
    height: 30px;
    background-color: rgba(236, 240, 241, 0.4);
    border: solid 1px #fff;
    padding: 3px 3px 5px 0px;
    color: #f5f6fa;
    font-family: 'Montserrat', sans-serif;
}

.boutonPlay i {
    margin-top: 3px;
    margin-left: 6px;
}

.boutonPlay i:hover {
    margin-right: 3px;
    color: #2980b9;
    cursor: pointer;
}

.barreSon {
    position: relative;
    top: 10px;
    left: -20vw;
    width: 75px;
    height: 25px;
    display: flex;
    justify-content: center;
}

.low {
    height: 30%;
    background-color: white;
    width: 10px;
    margin-right: 2px;
    position: relative;
    bottom: -11px;
}

.middle {
    height: 50%;
    background-color: white;
    width: 10px;
    margin-right: 2px;
    position: relative;
    bottom: -6px;
}

.middle-plus {
    height: 80%;
    background-color: white;
    width: 10px;
    margin-right: 2px;
    position: relative;
    bottom: 1px;
}

.strong {
    height: 100%;
    background-color: white;
    width: 10px;
    margin-right: 2px;
    position: relative;
    top: -6px;
}

.low:hover,
.middle:hover,
.middle-plus:hover,
.strong:hover {
    background-color: #3498db;
    cursor: pointer;
}

.boxBack {
    display: flex;
    padding-right: 20vw;
}

.boutonRetour {
    width: 30px;
    height: 30px;
    background-color: rgba(236, 240, 241, 0.4);
    padding: 3px;
    border: 1px solid white;
    color: #f5f6fa;
    font-family: 'Montserrat', sans-serif;
}

.boutonRetour:hover {
    text-decoration: none;
    color: #0097e6;
    cursor: pointer;
}

/**************************************/
/*             CREATEURS              */
/**************************************/
.create {
    text-align: right;
    font-family: 'Montserrat', sans-serif;
    padding: 0px 10px 10px;
    color: #dcdde1;
    font-size: 13px;
    font-style: oblique;
}

.fixedBottom {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
}

.copy {
    position: relative;
    top: -5px;
    font-size: 10px;
    color: #f1c40f;
}

.esperlu {
    font-size: 10px;
    color: #f1c40f;
}

/**************************************/
/*         MEDIA QUERIES              */
/**************************************/
@media (max-width: 575px) {
    h1 {
        font-size: 40px;
    }

    #infoBox {
        /* padding: 30px 5px; */
        height: 575px;
        background-color: white;
        width: 100%;
        /* margin: 10vw auto; */
        opacity: 0.5;
    }

    #boxChoice .col-3 {
        padding-left: 15px;
        padding-right: 15px;
        /* width: 30px !important; */
        height: 30px;
        border: 1px solid white;
        border-radius: 50%;
    }

    #mastermindtab td {
        padding: 15px;
        border: 3px double rgb(220, 221, 225);
    }

    #boxHelp td {
        margin: 0;
        padding: 7.5px;
        border: initial;
        border-radius: 50%;
    }

    #boxChoice {
        width: 60%;
        margin-top: 1rem;
        margin-bottom: 1rem;
        margin-left: auto;
        padding: 0px 5px;
    }

    /* .boxPalette {
        width: 50vw;
        margin: auto;
    } */

    .boxBack {
        display: flex;
        padding-left: 20vw;
    }

    .barreSon {
        left: -35vw;
    }

    .fixedBottom {
        position: static;
        text-align: center;
        margin-top: 3rem;
    }
}

/**************************************/
/*             KEYFRAMES              */
/**************************************/

@-webkit-keyframes white {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@keyframes white {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@-webkit-keyframes black {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@keyframes black {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@-webkit-keyframes colorBravo {
    0% {
        -webkit-transform: rotate3d(-1, 1, 0, 0deg);
        transform: rotate3d(-1, 1, 0, 0deg);
    }

    50% {
        -webkit-transform: rotate3d(-1, 1, 0, 180deg);
        transform: rotate3d(-1, 1, 0, 180deg);
    }

    100% {
        -webkit-transform: rotate3d(-1, 1, 0, 360deg);
        transform: rotate3d(-1, 1, 0, 360deg);
    }
}

@keyframes colorBravo {
    0% {
        -webkit-transform: rotate3d(-1, 1, 0, 0deg);
        transform: rotate3d(-1, 1, 0, 0deg);
    }

    50% {
        -webkit-transform: rotate3d(-1, 1, 0, 180deg);
        transform: rotate3d(-1, 1, 0, 180deg);
    }

    100% {
        -webkit-transform: rotate3d(-1, 1, 0, 360deg);
        transform: rotate3d(-1, 1, 0, 360deg);
    }
}

@-webkit-keyframes AnimationName {
    0% {
        background-position: 0% 17%
    }

    50% {
        background-position: 100% 84%
    }

    100% {
        background-position: 0% 17%
    }
}

@-moz-keyframes AnimationName {
    0% {
        background-position: 0% 17%
    }

    50% {
        background-position: 100% 84%
    }

    100% {
        background-position: 0% 17%
    }
}

@keyframes AnimationName {
    0% {
        background-position: 0% 17%
    }

    50% {
        background-position: 100% 84%
    }

    100% {
        background-position: 0% 17%
    }
}